입문에서 실무까지: DevOps의 이해 및 Docker Hands-on

입문에서 실무까지: DevOps의 이해 및 Docker Hands-on

(13개의 수강평)

352명의 수강생
33,000원
지식공유자 · Ralf Yang
11회 수업· 총 3시간 5분수업
평생 무제한 시청
수료증 발급 강의
수강 난이도 중급
지식공유자의 다른 강의
연관 로드맵
아직 다른 강의가 없어요.
연관 로드맵이 없어요.
송원석 프로필

이 과정이 맞나용? 송원석 1달 전

로그 스파우트 를 거쳐서 로그 스태쉬로 수집을 하고 그리고 로그 게더링이 생겨서 이것들을 ELK로 로그에 대한 값을 불러들인다.

1
송원석 프로필

tag를 거친다 라는 말이 무슨 말인가용? 송원석 1달 전

궁금합니다.

1
송원석 프로필

Artifact는 무엇인가요? 송원석 2달 전

Dev에서 Build & unit tests에서 Artifact 내용이 나오는데 Artifact 의미하는것이 궁금합니다.

3
rapanui 프로필

ctl.sh 1번 실행시 오류 rapanui 7달 전

/opt/vagrant/embedded/gems/2.2.5/gems/vagrant-2.2.5/plugins/guests/debian/cap/configure_networks.rb:126:in `[]': no implicit conversion from nil to integer (TypeError)

이런 에러가 나오면 vm 인스턴스 만들어지고 있던게 모두 삭제되네요;;

4
rapanui 프로필

virtualbox 설치오류 rapanui 7달 전

에러내용

이 버전의 macOS에서는 이 버전의 'VirtualBox.app' 응용 프로그램을 사용할 수 없습니다.

현재 버전은 'VirtualBox.app' 5.2.2입니다.

 

사양

macOS Mojave 10.14.6

 

조치

ctl.sh 안에 vm version을 6.0바꿔서 했는데도 문제가 되서, 기존에 설치된 vm제거하고 하니, 정상 설치되네요.

 

영상에서는 기존버전 있어도 문제 없다고 해서 실행 했거든요 ;;

3
Oscar H.S Ahn 프로필

Step 5/7 에러 Oscar H.S Ahn 2018.09.04

sudo ./selfservice.sh , docker build -t test ./ 에서 다음과 같이 에러 발생합니다

github.com/jinzhu/gorm

src/github.com/jinzhu/gorm/main.go:166: undefined: sync.Map
src/github.com/jinzhu/gorm/model_struct.go:20: undefined: sync.Map
ERROR: Service 'web' failed to build: The command '/bin/sh -c go get github.com/revel/revel && go get github.com/revel/cmd/revel && go get github.com/jinzhu/gorm && go get github.com/go-sql-driver/mysql' returned a non-zero code: 2

sync.Map 검색하니 go 버전 문제라해서
go version go1.11 linux/amd64 설치하고
Docerfile에 FROM golang:1.11 로 수정하고 진행하였습니다..

2
Youngrok Lim 프로필

go get github.com/jinzhu/gorm 진행 시 에러가 발생합니다. Youngrok Lim 2018.09.07

안녕하세요? 좋은 강의 감사합니다.

다름이 아니라 강의를 보면서 따라하고 있는데 ./selfservice.sh를 실행 시 Step 5/7에서 다음과 같은 에러가 발생합니다.

src/github.com/jinzhu/gorm/main.go:166: undefined: sync.Map
src/github.com/jinzhu/gorm/model_struct.go:20: undefined: sync.Map

ERROR: Service 'web' failed to build: The command '/bin/sh -c go get github.com/revel/revel && go get github.com/revel/cmd/revel && go get -u github.com/jinzhu/gorm && go get github.com/go-sql-driver/mysql' returned a non-zero code: 2**

go orm 쪽에서 go lang 1.9 이상 지원하는 문법을 사용하는 부분이 있는 것 같아보여 go version을 1.91로 올리고 진행해서 step을 완료했습니다. 혹시나 이렇게 진행을 해도 문제가 없을지 궁금합니다.

감사합니다!

6
지식공유자 되기
많은 사람들에게 배움의 기회를 주고,
경제적 보상을 받아보세요.
지식공유참여
기업 교육을 위한 인프런
“인프런 비즈니스” 를 통해 모든 팀원이 인프런의 강의들을
자유롭게 학습하는 환경을 제공하세요.
인프런 비즈니스